## glean-parser 4.2.0

=== debian/changelog ===
glean-parser (4.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Oct 2021 14:05:49 +0200

glean-parser (4.1.0-1) unstable; urgency=medium

  * Initial upload
    New mandatory dependency for mozillavpn

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Aug 2021 20:40:14 +0200
