=== debian/changelog ===
glean-parser (4.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Nov 2021 12:13:48 +0100
