=== debian/changelog ===
glean-parser (4.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Jan 2022 17:47:14 +0100
