=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export VERSION=$(shell dpkg-parsechangelog|grep ^Version|awk '{print $$2}'|cut -d- -f1)

%:
	echo "version = '$(VERSION)'" > glean_parser/_glean_parser_version.py
	cp glean_parser/_glean_parser_version.py tests/
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/glean-parser/usr/lib/python*/dist-packages/glean_parser/_glean_parser_version.py $(CURDIR)/debian/glean-parser/usr/lib/python*/dist-packages/

override_dh_auto_clean:
	${RM} glean_parser/_glean_parser_version.py tests/_glean_parser_version.py
	${RM} -r .eggs
	rm -f debian/*.1
	dh_auto_clean
