## glean-parser 5.1.2

=== debian/changelog ===
glean-parser (5.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Apr 2022 12:18:37 +0200
