=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/glean-parser-$1\.tar\.gz/ \
  https://github.com/mozilla/glean_parser/tags .*/v?(\d\S+)\.tar\.gz
