=== debian/control ===
Source: glean-parser
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-setuptools-scm,
 python3, python3-pytest-runner, yamllint, python3-diskcache,
 python3-pytest, python3-pip, python3-wheel,
 python3-jsonschema, python3-appdirs, python3-jinja2, python3-click,
 help2man
Standards-Version: 4.6.2
Homepage: https://mozilla.github.io/glean_parser/
Rules-Requires-Root: no
X-Python3-Version: >= 3.6
Vcs-Git: https://salsa.debian.org/python-team/packages/glean-parser.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/glean-parser

Package: glean-parser
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Parser tools for Mozilla's Glean telemetry
 Contains various utilities for handling metrics.yaml and pings.yaml for
 the Glean SDK. This includes producing generated code for various
 integrations, linting and coverage testing.
