## glean-parser 14.1.2

=== debian/changelog ===
glean-parser (14.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Jul 2024 23:24:53 +0200
