=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3, python3-pytest-runner, yamllint, python3-diskcache,
  python3-pytest, python3-pip, python3-wheel,
  python3-jsonschema, python3-appdirs, python3-jinja2, python3-click,
- help2man
+ help2man, rust-clippy
 Standards-Version: 4.6.2
 Homepage: https://mozilla.github.io/glean_parser/
 Rules-Requires-Root: no
