=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,12 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-export VERSION=$(shell dpkg-parsechangelog|grep ^Version|awk '{print $$2}'|cut -d- -f1)
+include /usr/share/dpkg/default.mk
 
 %:
-	echo "version = '$(VERSION)'" > glean_parser/_glean_parser_version.py
+	echo "version = '$(DEB_VERSION_UPSTREAM)'" > glean_parser/_glean_parser_version.py
 	cp glean_parser/_glean_parser_version.py tests/
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install
