## glean-parser 15.0.1

=== Makefile ===
--- 
+++ 
@@ -34,17 +34,19 @@
 	rm -fr htmlcov/
 	rm -fr .pytest_cache
 
-lint: ## check style with flake8
-	python3 -m flake8 glean_parser tests
-	python3 -m black --check --diff glean_parser tests setup.py
+lint: ## check style
+	python3 -m ruff check glean_parser tests setup.py
 	python3 -m yamllint glean_parser tests
 	python3 -m mypy glean_parser
 
 fmt: ## autoformat files
-	python3 -m black glean_parser tests setup.py
+	python3 -m ruff format glean_parser tests setup.py
 
 test: ## run tests quickly with the default Python
 	py.test
+
+test-full:  ## run tests, including those with additional dependencies
+	py.test --run-web-tests --run-node-tests --run-ruby-tests --run-go-tests
 
 coverage: ## check code coverage quickly with the default Python
 	coverage run --source glean_parser -m pytest
@@ -71,7 +73,7 @@
 
 install-kotlin-linters: ## install ktlint and detekt for linting Kotlin output
 	test -f ktlint || curl -sSLO https://github.com/shyiko/ktlint/releases/download/0.29.0/ktlint
-	echo "03c9f9f78f80bcdb44c292d95e4d9abf221daf5e377673c1b6675a8003eab94d *ktlint" | sha256sum -c -
+	echo "03c9f9f78f80bcdb44c292d95e4d9abf221daf5e377673c1b6675a8003eab94d *ktlint" | shasum -a256 -c -
 	chmod a+x ktlint
-	test -f detekt-cli.jar || curl -sSL --output "detekt-cli.jar" https://github.com/detekt/detekt/releases/download/v1.16.0/detekt-cli-1.16.0-all.jar
-	echo "dd63aae60cce4b0516ffc11d31b6280d4010ab481754c7e49b2c9e78db877ca4 *detekt-cli.jar" | sha256sum -c -
+	test -f detekt-cli.jar || curl -sSL --output "detekt-cli.jar" https://github.com/detekt/detekt/releases/download/v1.23.6/detekt-cli-1.23.6-all.jar
+	echo "898dcf810e891f449e4e3f9f4a4e2dc75aecf8e1089df41a42a69adb2cbbcffa *detekt-cli.jar" | shasum -a256 -c -
