=== debian/changelog ===
glean-parser (15.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 15.0.1
  * Replace python3-appdirs with python3-platformdirs (Closes: #1067967)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Sep 2024 16:54:22 +0200
